Page MenuHomePhabricator

Build the Pagelist Input Widget
Open, Needs TriagePublic

Description

  • Setup selenium tests
  • Write code for API endpoint(Probably will not be required)
  • Write related messages(Is linked to the point above)
  • add a $wg something feature flag (Or use data attribute)
  • conditionally add a module to the edit page
  • Create a custom PagelistInputWidget containing a textbox and a preview button
  • Create a button-based representation of a pagelist to show as preview
  • Bind an event to select each button and open a popup window
  • Popup window should contain the following:
    • some way to look at the thumbnail of the scan for which page number is being set.
    • A button-based way preview of the pagelist
    • Information about the page/scan itself.
  • Find the "best" way to create/edit a pagelist using the widget
  • Implement that particular way
  • Create a wikitext mode to allow experienced users to continue with a improved version of their current workflow
  • Implement the same
  • Create a experimental new (visual) mode that will allow users to create the pagelist without having to memorize the syntax of the pagelist
  • Implement the same
  • Write QUnit tests
  • Write Selenium tests
  • Roll out the widget
  • Document and fix any bugs/issues that may arise

Details

ProjectBranchLines +/-Subject
mediawiki/extensions/ProofreadPagemaster+332 -19
mediawiki/extensions/ProofreadPagemaster+3 -1
mediawiki/extensions/ProofreadPagemaster+38 -3
mediawiki/extensions/ProofreadPagemaster+4 -2
mediawiki/extensions/ProofreadPagemaster+1 -4
mediawiki/extensions/ProofreadPagemaster+10 -7
mediawiki/extensions/ProofreadPagemaster+1 K -46
mediawiki/extensions/ProofreadPagemaster+1 -0
mediawiki/extensions/ProofreadPagemaster+0 -49
mediawiki/extensions/ProofreadPagemaster+281 -37
mediawiki/extensions/ProofreadPagemaster+10 -3
mediawiki/extensions/ProofreadPagemaster+529 -83
mediawiki/extensions/ProofreadPagemaster+13 -0
mediawiki/extensions/ProofreadPagemaster+536 -20
mediawiki/extensions/ProofreadPagemaster+473 -7
mediawiki/extensions/ProofreadPagemaster+3 K -2
mediawiki/extensions/ProofreadPagemaster+12 -9
Show related patches Customize query in gerrit

Event Timeline

Soda created this task.May 23 2020, 7:14 PM

@Soda: Assuming this task is about the ProofreadPage code project, hence adding that project tag so other people can also find this task when searching via projects.

Soda updated the task description. (Show Details)May 23 2020, 7:40 PM
Soda renamed this task from Create a basic skeleton, create API endpoint to parse pagelist tags to Create a basic skeleton and get everything ready to build the actual widget.May 29 2020, 6:39 AM
Soda updated the task description. (Show Details)

Change 599672 had a related patch set uploaded (by Sohom Datta; owner: Sohom Datta):
[mediawiki/extensions/ProofreadPage@master] Setting up selenium tests

https://gerrit.wikimedia.org/r/599672

Change 601793 had a related patch set uploaded (by Sohom Datta; owner: Sohom Datta):
[mediawiki/extensions/ProofreadPage@master] [WIP]: Creating a pagelist input widget

https://gerrit.wikimedia.org/r/601793

Change 601795 had a related patch set uploaded (by Sohom Datta; owner: Sohom Datta):
[mediawiki/extensions/ProofreadPage@master] Wrap pagelists in a <span> tag to aid identification

https://gerrit.wikimedia.org/r/601795

Change 601795 merged by jenkins-bot:
[mediawiki/extensions/ProofreadPage@master] Wrap pagelists in a <span> tag to aid identification

https://gerrit.wikimedia.org/r/601795

Change 599672 merged by jenkins-bot:
[mediawiki/extensions/ProofreadPage@master] Selenium: Added preliminary tests to check if Index page loads properly

https://gerrit.wikimedia.org/r/599672

Change 601793 merged by jenkins-bot:
[mediawiki/extensions/ProofreadPage@master] Creating a pagelist input widget

https://gerrit.wikimedia.org/r/601793

Soda added a comment.Jun 21 2020, 6:04 AM

It looks like the rows attribute for the PagelistInputWidget's textarea isn't being set... Will put in a fix for that.

Change 607601 had a related patch set uploaded (by Sohom Datta; owner: Sohom Datta):
[mediawiki/extensions/ProofreadPage@master] [WIP] Add a dialog to PagelistInputWidget

https://gerrit.wikimedia.org/r/607601

Soda renamed this task from Create a basic skeleton and get everything ready to build the actual widget to Build the dialog and general previewing mechanism.Jul 1 2020, 1:38 PM
Soda updated the task description. (Show Details)

Change 607601 merged by jenkins-bot:
[mediawiki/extensions/ProofreadPage@master] Add a dialog to PagelistInputWidget

https://gerrit.wikimedia.org/r/607601

Change 615244 had a related patch set uploaded (by Sohom Datta; owner: Sohom Datta):
[mediawiki/extensions/ProofreadPage@master] [WIP] Rough demo of change point methodology

https://gerrit.wikimedia.org/r/615244

Soda updated the task description. (Show Details)Jul 21 2020, 4:12 PM

Change 616650 had a related patch set uploaded (by Sohom Datta; owner: Sohom Datta):
[mediawiki/extensions/ProofreadPage@master] Fixed alignment of buttons in pagelist preview

https://gerrit.wikimedia.org/r/616650

Change 617530 had a related patch set uploaded (by Sohom Datta; owner: Sohom Datta):
[mediawiki/extensions/ProofreadPage@master] [WIP] Build the wikitext mode for the PagelistInputWidget

https://gerrit.wikimedia.org/r/617530

Change 616650 merged by jenkins-bot:
[mediawiki/extensions/ProofreadPage@master] Fixed alignment of buttons in pagelist preview

https://gerrit.wikimedia.org/r/616650

Change 617530 merged by jenkins-bot:
[mediawiki/extensions/ProofreadPage@master] Build the wikitext mode for the PagelistInputWidget

https://gerrit.wikimedia.org/r/617530

Change 619480 had a related patch set uploaded (by Sohom Datta; owner: Sohom Datta):
[mediawiki/extensions/ProofreadPage@master] Fixed unsynced top-panel in PagelistWidget

https://gerrit.wikimedia.org/r/619480

Change 619511 had a related patch set uploaded (by Sohom Datta; owner: Sohom Datta):
[mediawiki/extensions/ProofreadPage@master] Disabled updateButton for when no changes occur and added tooltip

https://gerrit.wikimedia.org/r/619511

Change 619480 merged by jenkins-bot:
[mediawiki/extensions/ProofreadPage@master] Fixed unsynced top-panel in PagelistWidget

https://gerrit.wikimedia.org/r/619480

Change 621053 had a related patch set uploaded (by Sohom Datta; owner: Sohom Datta):
[mediawiki/extensions/ProofreadPage@master] [WIP] Added visual mode to Wikisource Pagelist Widget

https://gerrit.wikimedia.org/r/621053

Change 615244 abandoned by Sohom Datta:
[mediawiki/extensions/ProofreadPage@master] [WIP] Rough demo of change point methodology

Reason:
Supersed by https://gerrit.wikimedia.org/r/c/mediawiki/extensions/ProofreadPage/ /621053

https://gerrit.wikimedia.org/r/615244

Soda renamed this task from Build the dialog and general previewing mechanism to Build the Pagelist Input Widget.Aug 25 2020, 2:37 AM
Soda updated the task description. (Show Details)

Change 622864 had a related patch set uploaded (by Sohom Datta; owner: Sohom Datta):
[mediawiki/extensions/ProofreadPage@master] Delete unused FormPanel component

https://gerrit.wikimedia.org/r/622864

Change 622864 merged by jenkins-bot:
[mediawiki/extensions/ProofreadPage@master] Delete unused FormPanel component

https://gerrit.wikimedia.org/r/622864

Change 622988 had a related patch set uploaded (by Sohom Datta; owner: Sohom Datta):
[mediawiki/extensions/ProofreadPage@master] Fix loading animation not showing when dialog opens

https://gerrit.wikimedia.org/r/622988

Change 622988 merged by jenkins-bot:
[mediawiki/extensions/ProofreadPage@master] Fix loading animation not showing when dialog opens

https://gerrit.wikimedia.org/r/622988

Change 621053 merged by jenkins-bot:
[mediawiki/extensions/ProofreadPage@master] Added visual mode to Wikisource Pagelist Widget

https://gerrit.wikimedia.org/r/621053

Change 624051 had a related patch set uploaded (by Sohom Datta; owner: Sohom Datta):
[mediawiki/extensions/ProofreadPage@master] Fixed non persistence of the visual-mode preference

https://gerrit.wikimedia.org/r/624051

Change 624056 had a related patch set uploaded (by Sohom Datta; owner: Sohom Datta):
[mediawiki/extensions/ProofreadPage@master] Fixed misplaced warning in visual mode

https://gerrit.wikimedia.org/r/624056

Change 624056 merged by jenkins-bot:
[mediawiki/extensions/ProofreadPage@master] Fixed misplaced warning in visual mode

https://gerrit.wikimedia.org/r/624056

Change 624051 merged by jenkins-bot:
[mediawiki/extensions/ProofreadPage@master] Fixed non persistence of the visual-mode preference

https://gerrit.wikimedia.org/r/624051

Change 626245 had a related patch set uploaded (by Sohom Datta; owner: Sohom Datta):
[mediawiki/extensions/ProofreadPage@master] Show errors meaningful errors if the widget has been configured wrongly

https://gerrit.wikimedia.org/r/626245

Change 628425 had a related patch set uploaded (by Sohom Datta; owner: Sohom Datta):
[mediawiki/extensions/ProofreadPage@master] Added support for rows parameters in the PagelistInputWidget

https://gerrit.wikimedia.org/r/628425

Change 629071 had a related patch set uploaded (by Sohom Datta; owner: Sohom Datta):
[mediawiki/extensions/ProofreadPage@master] [WIP] Add QUnit tests for parts of PagelistInputWidget

https://gerrit.wikimedia.org/r/629071